function setup() {
  createCanvas(500,500);
  background(250);
  fill(150);
  strokeWeight(50);
  rectMode(CENTER);
  let space = 100;
  for (x=0;x<width+50;x+=space){
    for (y=0;y<height+50;y+=space){
      ellipse(x,y,10)
      ellipse(x+space/2,y+space/2,10)
    }
  }
}

